Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158791 - CAN-2005-1739 ImageMagick XWD denial of service
Summary: CAN-2005-1739 ImageMagick XWD denial of service
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ImageMagick
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Mike McLean
URL:
Whiteboard: impact=moderate,public=20050425,repor...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-25 19:31 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-26 19:11:51 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-05-25 19:31:23 UTC
+++ This bug was initially created as a clone of Bug #158790 +++

The XWD Decoder in ImageMagick before 6.2.2.3, and GraphicsMagick before
1.1.6-r1, allows remote attackers to cause a denial of service (infinite loop)
via an image with a zero color mask.

Comment 1 Josh Bressers 2005-05-25 19:34:58 UTC
Additional information can be found here:
http://bugs.gentoo.org/show_bug.cgi?id=90423


Note You need to log in before you can comment on or make changes to this bug.